## pjproject 2.4.5~dfsg

=== debian/changelog ===
pjproject (2.4.5~dfsg-4build1) yakkety; urgency=medium

  * No-change rebuild for ffmpeg soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2016 21:20:43 +0000

pjproject (2.4.5~dfsg-4) unstable; urgency=medium

  * Fix avoid build-depending on libv4l-dev on the Hurd:
    + Adapt symbols.
    + Resolve libpjproject-dev dependencies related to linked libraries
      during build.
    + Build-depend on d-shlibs.
  * Modernize Vcs-* field URLs:
    + Use https protocol.
    + Use cgit viewer.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Add lintian override regarding debhelper 9.
  * Declare compliance with Debian Policy 3.9.7.
  * Update symbols file (affects only optional symbols).
  * Fix stop have libpjproject-dev depend on libx264-dev: Seems unused.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Apr 2016 15:03:42 +0200

pjproject (2.4.5~dfsg-3) unstable; urgency=medium

  * Update symbois.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 19:22:31 +0100

pjproject (2.4.5~dfsg-2) unstable; urgency=medium

  * Move packaging to Debian VoIP team (with Tzafrir's consent).
    Add myself as uploader.
  * Use pkgkde-symbolshelper. Build-depend on pkg-kde-tools.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 17:09:28 +0100

pjproject (2.4.5~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * New release(s).
    + Use the OpenSSL RNG if available, instead of via SRTP.
      Closes: Bug#793972.
    + Support compilation with OpenSSL without OpenSSLv3 support.
      Closes: Bug#805082. Thanks to Peter Green.

  [ Tzafrir Cohen ]
  * Fix add Files section for bar-descriptor.xml to debian/copyright.
    Closes: #793051. Thanks to Thorsten Alteholz.
  * Move arch-dependent headers to a triplet subdir.
    Closes: #793097. Thanks to Jakub Wilk.
  * Bump soname for libpjsua2: Add C++ transitional v5 suffix.
    Closes: Bug#793094. Thanks to Jakub Wilk and Simon McVittie.
  * Replace deprecated FFmpeg API.
    Closes: Bug#803855, #801535. Thanks to Andreas Cadhalpun.
  * Copy -dev build deps to deps of -dev package.
    Closes: #795825, #801535. Thanks to Julien Cristau, Simon McVittie
    and Andreas Beckmann.

  [ Jeremy Lainé ]
  * Reduce library linkage.
    Closes: Bug#793141. Thanks to James Cloos.

  [ Jonas Smedegaard ]
  * Fix typo in long descriptions.
  * Build-depend on virtual libsrtp-dev (not libsrtp0-dev) to ease
    pending transition.
  * Fix have libpjproject-dev depend on libpjsua2-2v5 (not libpjsua2-2).
  * Fix add version mangling hint to watch file.
  * Fix strip debian revision from symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2016 11:42:57 +0100

pjproject (2.4~dfsg-1) unstable; urgency=low

  * New upstream release: now an upstream version (Closes: #725326).
    - Update symbols for version 2.3, 2.4
    - We use upstream source. No need for the README
    - rules: config_site moved
    - CODEC_ID_* changed to AV_CODEC_ID_*
    - Extra library: pjsua2 (libpjsua2-2. Package libpjsua2 is pjsua).
  * -dev package: depend explicitly on libsrtp0-dev due to -lsrtp in
    the pkg-config file.
  * rules: run 'make dep' at build time.
  * rules: 'build' not cnfused by directory 'build'
  * Enable opencore-amr codec support
  * Do enable IPv6 support in config_site (Closes: #787964).
  * README.source: we use git-dpm
  * Do enable video
  * compat level 9
  * multi-arch support
    - control: packages pre-depend on multi-arch
  * Remove offending build flags from pkgconfig file (lintian).
  * A disabled tests target
  * extra files to remove after tests
  * Reduce number of libraries linked with pjlib-util
  * copyright: Fix syntax (gsm)
  * Remove video libs dependency for pj-utils and pjnath
  * package python-pjproject (Closes: #768578)
    - Depend on python-dev
  * Standards version 3.9.6 (no change needed)
  * copyright: Don't use '[]' wildcards

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jun 2015 23:53:29 +0300
