## pjproject 2.5.5~dfsg

=== debian/changelog ===
pjproject (2.5.5~dfsg-6+deb9u8) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Backport fixes for
     - CVE-2022-23537 Buffer overread is possible when parsing a specially
       crafted STUN message.
     - CVE-2022-23547 Possible buffer overread when parsing a certain STUN
       message.

 -- Tobias Frost <tobi@debian.org>  Wed, 18 Jan 2023 16:43:30 +0100

pjproject (2.5.5~dfsg-6+deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-39244:
    PJSIP is a free and open source multimedia communication library written in
    C. The PJSIP parser, PJMEDIA RTP decoder, and PJMEDIA SDP parser are
    affeced by a buffer overflow vulnerability. Users connecting to untrusted
    clients are at risk.

 -- Markus Koschany <apo@debian.org>  Wed, 26 Oct 2022 14:20:31 +0200

pjproject (2.5.5~dfsg-6+deb9u6) stretch; urgency=high

  * Non-maintainer upload by the Debian ELTS Team.
  * CVE-2022-31031: Prevent a stack buffer overflow vulnerability by setting a
    maximum attribute count.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Jul 2022 13:03:50 +0100

pjproject (2.5.5~dfsg-6+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2022-24763, CVE-2022-24792, CVE-2022-24793

 -- Abhijith PA <abhijith@debian.org>  Sun, 29 May 2022 22:50:20 +0530

pjproject (2.5.5~dfsg-6+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Regression fix for CVE-2022-23608

 -- Abhijith PA <abhijith@debian.org>  Thu, 31 Mar 2022 13:04:55 +0530

pjproject (2.5.5~dfsg-6+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2021-32686, CVE-2021-37706, CVE-2021-41141, CVE-2021-43299,
    CVE-2021-43300, CVE-2021-43301, CVE-2021-43302, CVE-2021-43303,
    CVE-2021-43804, CVE-2021-43845, CVE-2022-21722, CVE-2022-21723,
    CVE-2022-23608, CVE-2022-24754, CVE-2022-24764
  * New symbols pj_strtol2, pj_strtoul3, PJSIP_EINVAL_ERR_EXCEPTION

 -- Abhijith PA <abhijith@debian.org>  Wed, 02 Mar 2022 19:40:34 +0530

pjproject (2.5.5~dfsg-6+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-21375
    Due to bad handling of two consecutive crafted answers to an INVITE,
    the attacker is able to crash the server resulting in a denial of
    service.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Apr 2021 19:03:02 +0200

pjproject (2.5.5~dfsg-6+deb9u1) stretch-security; urgency=high

  [ Bernhard Schmidt ]
  * Fix various security issues
    - CVE-2017-16872: Overflow when parsing numeric fileds in SIP messages
    - CVE-2017-16875: Double key unregistration in ioqueue component
    - CVE-2018-1000098: Integer overflow in SDP parsing
      (also reported by the Asterisk project as AST-2018-002)
    - CVE-2018-1000099: Null Pointer vulnerability in pjmedia SDP parsing
      (also reported by the Asterisk project as AST-2018-003)
  * Fix resolution of DNS SRV targets that do not have an AAAA record
    (Closes: #881362)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 03 Apr 2018 10:02:31 +0200

pjproject (2.5.5~dfsg-6) unstable; urgency=high

  [ Tzafrir Cohen ]
  * add security patches published by the Asterisk project
    - AST-2017-002: Buffer Overrun in PJSIP transaction layer
      (Closes: #863901)
    - AST-2017-003: Crash in PJSIP multi-part body parser
      (Closes: #863902)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 02 Jun 2017 08:59:42 +0200

pjproject (2.5.5~dfsg-5) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * run dh_clean in clean target
  * Disable debug assertions as recommended for production builds

 -- Bernhard Schmidt <berni@debian.org>  Sun, 18 Dec 2016 22:32:19 +0100

pjproject (2.5.5~dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Adjust previous changelog to fix lintian error
  * Bump all symbols minimum versions to force tighter dependencies
    (Closes: #847014)
  * Update debian/config_site.h with suggestions from Asterisk git
  * convert package from git-dpm to gbp pq

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Dec 2016 14:53:12 +0100

pjproject (2.5.5~dfsg-3) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Temporarily drop d-devlibdeps generated dependency on libssl-dev
    from libpjproject-dev
  * Add a couple of stability fixes collected by Asterisk
    (third_party/pjproject/patches), all present in pjproject trunk
    - asterisk-0001-r5397-pjsip_generic_array_max_count.patch
    - asterisk-0001-r5400-pjsip_tx_data_dec_ref.patch
    - Fix-1946-Avoid-deinitialization-of-uninitialized-cli.patch
    - asterisk-0002-r5435-add-pjsip_inv_session-ref_cnt.patch
    - asterisk-0003-r5403-pjsip_IPV6_V6ONLY.patch
    - resolver.c-Prevent-SERVFAIL-from-marking-name-server.patch
    - Re-1969-Fix-crash-on-using-an-already-destroyed-SSL.patch
    - r5471-svn-backport-Various-fixes-for-DNS-IPv6.patch
    - r5473-svn-backport-Fix-pending-query.patch
    - r5475-svn-backport-Remove-DNS-cache-entry.patch
    - r5477-svn-backport-Fix-DNS-write-on-freed-memory.patch
   This bunch of patches hopefully fixes #842878

 -- Bernhard Schmidt <berni@debian.org>  Thu, 10 Nov 2016 09:48:05 +0100

pjproject (2.5.5~dfsg-2) unstable; urgency=medium

  * explicitly build-depend on OpenSSL 1.0.2, see #828505

 -- Bernhard Schmidt <berni@debian.org>  Wed, 02 Nov 2016 14:32:51 +0100

pjproject (2.5.5~dfsg-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 2.5.5~dfsg
    - d/copyright: Exclude third_party/yuv (unclear license)
    - d/copyright: drop third_party/portaudio not present anymore
  * disable libyuv
  * Update symbols file for new version
  * add Build-dep on liboss4-salsa-dev for kfreebsd-any

 -- Bernhard Schmidt <berni@debian.org>  Sun, 30 Oct 2016 20:34:11 +0100

pjproject (2.5.1~dfsg-4) unstable; urgency=medium

  * Update libpjsua2-2v5.symbols for 32-bit platforms

