=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 # existing directory 'build'. .PHONY doesn't seem to be good enough with
 # the wildcard target. Any better way?
 %:
-	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper
+	dh $@ --with python2,pkgkde_symbolshelper
 build:
-	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper
+	dh $@ --with python2,pkgkde_symbolshelper
 
-# In case it would be needed:
-#override_dh_autoreconf:
-#	dh_autoreconf autoconf aconfigure.ac >aconfigure
+override_dh_autoreconf:
+	dh_autoreconf autoconf aconfigure.ac >aconfigure
+	chmod +x aconfigure
 
 override_dh_auto_clean:
 	# Handle the case where the source tree is not configured.
@@ -26,6 +26,7 @@
 	# left-overs from the tests:
 	find tests/pjsua/ -name \*.pyc | xargs --no-run-if-empty rm
 	rm -rf tests/pjsua/logs/ tests/pjsua/wavs/
+	dh_clean
 
 override_dh_auto_configure:
 	cp debian/config_site.h pjlib/include/pj/
@@ -37,10 +38,10 @@
 	dh_auto_configure -- --enable-shared \
 		--disable-g7221-codec --disable-ilbc-codec --disable-resample \
 		--with-external-gsm --with-external-speex --with-external-pa \
-		--with-external-srtp --enable-video
+		--with-external-srtp --enable-video --disable-libyuv
 
 override_dh_auto_build:
-	dh_auto_build -- dep all
+	dh_auto_build --no-parallel -- dep all
 	$(pybuild)
 
 # selftest target takes too long. Parts of it may also require hardware.
@@ -81,14 +82,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	d-devlibdeps \
-	  --override 's/libopencore-\(amr[nw]b\)[0-9]\+-dev/libopencore-\1-dev/' \
-	  --override 's/libSDL2-[0-9.-]\+-dev/libsdl2-dev/' \
-	  --override 's/lib\(avcodec\|avformat\|avutil\|swscale\)-ffmpeg[0-9]\+-dev/lib\1-dev/' \
-	  --override 's/libpj\(\|lib-util\|media\(\|-audiodev\|-codec\|-videodev\)\|nath\|sip\(\|-simple\|-ua\)\|sua\)2-dev/libpjproject-dev/' \
-	  --override 's/libportaudio2-dev/portaudio19-dev/' \
-	  --override 's/libspeexdsp1-dev/libspeexdsp-dev/' \
-	  --override 's/libv4l2-0-dev/libv4l-dev/' \
-	  --override 's/libsrtp0/libsrtp/' \
+	  --override 's/libopus0-dev/libopus-dev/' \
+	  --override 's/libssl-dev//' \
+	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*
 
 .PHONY: build
