## pjproject 2.6~dfsg

=== debian/changelog ===
pjproject (2.6~dfsg-2) unstable; urgency=medium

  * Add libavdevice-dev to libpjproject-dev Depends
  * Reinclude libssl-dev dependency that was dropped during migration
  * Drop useless-autoreconf-build-depends

 -- Bernhard Schmidt <berni@debian.org>  Thu, 17 Aug 2017 20:07:09 +0200

pjproject (2.6~dfsg-1) unstable; urgency=medium

  * Release to unstable
  * change Standards-Version to 4.0.1, no changes necessary
  * add debian/gbp.conf for pristine-tar

 -- Bernhard Schmidt <berni@debian.org>  Tue, 15 Aug 2017 22:32:04 +0200

pjproject (2.6~dfsg-0+exp2) experimental; urgency=medium

  * Build with -Wl,--as-needed
    - disable unnecessary 0006-Reduce-linkage-of-unused-libraries.patch
    - also disable 0001-Remove-pointless-linking-with-libasound.patch
      breaking compilation
  * drop symbols for (largely unused) C++ library

 -- Bernhard Schmidt <berni@debian.org>  Sun, 06 Aug 2017 23:33:46 +0200

pjproject (2.6~dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 2.6
    - dfsg: Exclude third_party/webrtc, not sure if distributable
    - Drop patches applied upstream
    - refresh remaining patches
    - update symbols
  * Disable webrtc build
  * Switch to OpenSSL 1.1.0 (Closes: #854583)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 24 Jun 2017 22:38:54 +0200
