=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
  Jonas Smedegaard <dr@jones.dk>,
- Tzafrir Cohen <tzafrir@debian.org>
+ Tzafrir Cohen <tzafrir@debian.org>,
+ Bernhard Schmidt <berni@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper,
- dh-autoreconf,
+ debhelper (>= 10),
  dh-python,
- d-shlibs,
+ d-shlibs (>= 0.71~),
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
@@ -18,18 +17,21 @@
  libgsm1-dev,
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
+ libopus-dev,
+ liboss4-salsa-dev [kfreebsd-any],
  libsdl2-dev,
  libspeex-dev, libspeexdsp-dev,
  libsrtp-dev,
  libssl-dev,
  libswscale-dev,
  libv4l-dev [!hurd-any],
- libx264-dev,
+ libvo-amrwbenc-dev,
+ libwebrtc-audio-processing-dev,
  pkg-kde-tools,
  portaudio19-dev,
  python-dev,
  uuid-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.0.1
 Homepage: http://www.pjsip.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/pjproject.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/pjproject.git
@@ -209,6 +211,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}, ${devlibs:Depends},
+ libavdevice-dev,
  libpjlib-util2 (= ${binary:Version}),
  libpjmedia-audiodev2 (= ${binary:Version}),
  libpjmedia-codec2 (= ${binary:Version}),
@@ -220,7 +223,7 @@
  libpjsip2 (= ${binary:Version}),
  libpjsua2 (= ${binary:Version}),
  libpjsua2-2v5 (= ${binary:Version}),
- libpj2 (= ${binary:Version})
+ libpj2 (= ${binary:Version}),
 Description: PJ Project - development headers
  PJSIP (a.k.a PJProject) is a multimedia communication library written
  in C language implementing standard based protocols such as SIP, SDP,
