=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # export _CXXFLAGS includes $(_CFLAGS)
 #CXXFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 pybuild = pybuild -d pjsip-apps/src/python --pyver 2.7
 
@@ -17,7 +19,6 @@
 
 override_dh_autoreconf:
 	dh_autoreconf autoconf aconfigure.ac >aconfigure
-	chmod +x aconfigure
 
 override_dh_auto_clean:
 	# Handle the case where the source tree is not configured.
@@ -38,7 +39,8 @@
 	dh_auto_configure -- --enable-shared \
 		--disable-g7221-codec --disable-ilbc-codec --disable-resample \
 		--with-external-gsm --with-external-speex --with-external-pa \
-		--with-external-srtp --enable-video --disable-libyuv
+		--with-external-srtp --enable-video --disable-libyuv \
+		--disable-libwebrtc
 
 override_dh_auto_build:
 	dh_auto_build --no-parallel -- dep all
@@ -83,7 +85,6 @@
 	dh_shlibdeps
 	d-devlibdeps \
 	  --override 's/libopus0-dev/libopus-dev/' \
-	  --override 's/libssl-dev//' \
 	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*
