=== debian/changelog ===
pjproject (2.7.2~dfsg-1) unstable; urgency=medium

  * New upstream version, fixing two remote crashes
    - Crash when receiving SDP with invalid fmtp attribute
    - Crash when parsing SDP with an invalid media format description
  * Mark binary packages linux-any, FTBFSing on hurd/kfreebsd
  * Drop duplicate filter line in d/gbp.conf
  * Switch Vcs-* to salsa

 -- Bernhard Schmidt <berni@debian.org>  Sat, 24 Feb 2018 23:37:04 +0100

pjproject (2.7.1~dfsg-1) unstable; urgency=medium

  * New upstream release
    + Adjust symbols

 -- Bernhard Schmidt <berni@debian.org>  Thu, 09 Nov 2017 23:20:17 +0100

pjproject (2.7~dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream release
    + Repack with Jonas' updated copyright information (Closes: #877365)
    + Drop security patches applied upstream
    + Update symbols
  * Switch to libsrtp2
    + add Breaks against Asterisk built with libsrtp0
  * Change section of libraries to "libs", silencing lintian
  * Declare Standards-Version 4.1.1, no changes necessary
  * Enable all hardening

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use (derived form of) SPDX license shortname Rdisc.
    + Use https protocol in format URL.
    + Normalize http URLs.
    + Use License-Grant and License-Reference fields.
    + Fix list pjlib/src/pj/compat/longjmp_i386.S as licensed LGPL-2+
      (not LGPL-2.1+).
    + Fix cover files licensed FSFUL NTP Ms-PL Expat.
    + Fix cover file licensed BSD-4-clause and GPL-2+ (not only GPL-2+).
    + Fix remove files listed as stripped from source repackaging but
      not existing in upstream source:
      - third_party/yuv
      - third_party/webrtc.
    + Rewrite notes on files stripped from repackaged source.
    + Fix strip more files when repackaging source:
      - Non-DFSG-free ApiLock.*.
      - Copyright-protected graphics ICC profiles without DFSG-free
        license.
      - Binary Java files potentially with non-free parts.
    + Rewrite maintainer script copyright-check.

 -- Bernhard Schmidt <berni@debian.org>  Thu, 05 Oct 2017 23:31:13 +0200
