=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pjproject
-Section: comm
+Section: libs
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
@@ -21,7 +21,7 @@
  liboss4-salsa-dev [kfreebsd-any],
  libsdl2-dev,
  libspeex-dev, libspeexdsp-dev,
- libsrtp-dev,
+ libsrtp2-dev,
  libssl-dev,
  libswscale-dev,
  libv4l-dev [!hurd-any],
@@ -31,13 +31,13 @@
  portaudio19-dev,
  python-dev,
  uuid-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://www.pjsip.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/pjproject.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/pjproject.git
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/pjproject.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/pjproject
 
 Package: libpjlib-util2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - helper utilities
@@ -51,7 +51,7 @@
  This package includes helper utilities for the PJ Project libraries.
 
 Package: libpjmedia-audiodev2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Audio devices
@@ -65,7 +65,7 @@
  This package includes an audio devices handling library.
 
 Package: libpjmedia-codec2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Multimedia codecs handling
@@ -79,7 +79,7 @@
  This package includes a multimedia codecs handling library.
 
 Package: libpjmedia-videodev2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: SIP handling library - video devices
@@ -93,7 +93,7 @@
  This package includes a video devices handling library.
 
 Package: libpjmedia2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - VoIP media
@@ -107,7 +107,7 @@
  This package includes a VoIP media handling library.
 
 Package: libpjnath2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - NAT handling
@@ -121,7 +121,7 @@
  This package includes a NAT handling library.
 
 Package: libpjsip-simple2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - SIP SIMPLE instant messaging
@@ -135,7 +135,7 @@
  This package includes a SIP SIMPLE Instant Messaging library.
 
 Package: libpjsip-ua2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: SIP handling library - SIP user agent library
@@ -149,9 +149,10 @@
  This package includes a SIP user agent handling library
 
 Package: libpjsip2
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
+Breaks: asterisk (<< 1:13.17.2~dfsg-2~)
 Description: PJ Project - SIP handling library
  PJSIP (a.k.a PJProject) is a multimedia communication library written
  in C language implementing standard based protocols such as SIP, SDP,
@@ -163,7 +164,7 @@
  This package includes a SIP handling library.
 
 Package: libpjsua2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Basic VoIP client library
@@ -177,7 +178,7 @@
  This package includes a framework for a VoIP client (pjsua)
 
 Package: libpjsua2-2v5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Breaks: libpjsua2-2
 Replaces: libpjsua2-2
@@ -193,7 +194,7 @@
  This package includes version 2 of a framework for a VoIP client (pjsua2).
 
 Package: libpj2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - PJProject core libraries
@@ -207,7 +208,7 @@
  This package includes the PJ Project core libraries.
 
 Package: libpjproject-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}, ${devlibs:Depends},
@@ -235,7 +236,7 @@
  This package includes the development headers for PJ Project.
 
 Package: python-pjproject
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: python
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
