=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 # export _CXXFLAGS includes $(_CFLAGS)
@@ -86,6 +88,7 @@
 	d-devlibdeps \
 	  --override 's/libopus0-dev/libopus-dev/' \
 	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
+	  --override 's/libsrtp2-1-dev/libsrtp2-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*
 
 .PHONY: build
