=== debian/watch ===
version=3
opts=repacksuffix=~dfsg,dversionmangle=s/\~dfsg\d*$// \
	http://www.pjsip.org/download.htm /release/.*/pjproject-(.*).tar.bz2
